// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')

ServerEvents.recipes(event => {
    // You can replace `event` with any name you like, as
    // long as you change it inside the callback too!
      event.shaped(
        Item.of('cobblemon:ability_capsule', 1),
        [
          'AAA',
          'BCB',
          'AAA'
        ],
        {
          A: 'minecraft:glass',
          B: 'minecraft:shulker_shell',
          C: 'minecraft:diamond'
        }
      ),

      event.shaped(
        Item.of('cobblemon:ability_patch', 1),
        [
          'ABA',
          'BCB',
          'ABA'
        ],
        {
          A: 'minecraft:paper',
          B: 'minecraft:diamond',
          C: 'cobblemon:ability_capsule'
        }
      ),

      event.shaped(
        Item.of('cobblemon:lucky_egg', 1),
        [
          'ABA',
          'BCB',
          'ABA'
        ],
        {
          A: 'minecraft:diamond',
          B: 'minecraft:rabbit_foot',
          C: 'minecraft:sniffer_egg'
        }
      ),

      event.shaped(
        Item.of('kubejs:portable_pc', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'minecraft:nether_star',
          B: 'cobblemon:pc',
          C: 'minecraft:netherite_ingot'
        }
      ),

      event.shaped(
        Item.of('kubejs:portable_healer', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'minecraft:nether_star',
          B: 'cobblemon:healing_machine',
          C: 'minecraft:netherite_ingot'
        }
      ),

    event.shapeless(
      Item.of('kubejs:gold_bottle_cap', 1),
        [
          'minecraft:enchanted_golden_apple',
          'cobblemon:pomeg_berry',
          'cobblemon:kelpsy_berry',
          'cobblemon:qualot_berry',
          'cobblemon:hondew_berry',
          'cobblemon:grepa_berry',
          'cobblemon:tamato_berry'
        ],
    ),

    event.shaped(
      Item.of('kubejs:white_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:white_mint_leaf',
        C: 'cobblemon:pomeg_berry'
      }
    ),

    event.shaped(
      Item.of('kubejs:red_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:red_mint_leaf',
        C: 'cobblemon:kelpsy_berry'
      }
    ),

    event.shaped(
      Item.of('kubejs:blue_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:blue_mint_leaf',
        C: 'cobblemon:qualot_berry'
      }
    ),

    event.shaped(
      Item.of('kubejs:cyan_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:cyan_mint_leaf',
        C: 'cobblemon:hondew_berry'
      }
    ),

    event.shaped(
      Item.of('kubejs:pink_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:pink_mint_leaf',
        C: 'cobblemon:grepa_berry'
      }
    ),

    event.shaped(
      Item.of('kubejs:green_bottle_cap', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:iron_block',
        B: 'cobblemon:green_mint_leaf',
        C: 'cobblemon:tamato_berry'
      }
    ),

    event.shapeless(
      Item.of('kubejs:perma_weak', 1),
        [
          'minecraft:honey_bottle',
          '3x cobblemon:red_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:perma_slow', 1),
        [
          'minecraft:honey_bottle',
          '3x cobblemon:green_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:ev_reset', 1),
        [
          'minecraft:honey_bottle',
          'minecraft:milk_bucket',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:hp_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:white_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:attack_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:red_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:defense_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:blue_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:special_attack_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:cyan_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:special_defense_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:pink_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:speed_reset', 1),
        [
          'minecraft:glass_bottle',
          'cobblemon:green_mint_leaf'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:hp_max', 1),
        [
          '3x cobblemon:hp_up',
          '3x cobblemon:white_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:protein_max', 1),
        [
          '3x cobblemon:protein',
          '3x cobblemon:red_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:iron_max', 1),
        [
          '3x cobblemon:iron',
          '3x cobblemon:blue_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:calcium_max', 1),
        [
          '3x cobblemon:calcium',
          '3x cobblemon:cyan_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:zinc_max', 1),
        [
          '3x cobblemon:zinc',
          '3x cobblemon:pink_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shapeless(
      Item.of('kubejs:carbos_max', 1),
        [
          '3x cobblemon:carbos',
          '3x cobblemon:green_mint_leaf',
          'minecraft:gold_ingot'
        ],
    ),

    event.shaped(
      Item.of('simpletms:tr_blank', 1),
      [
        ' B ',
        'BAB',
        ' B '
      ],
      {
        A: 'minecraft:compass',
        B: 'minecraft:redstone'
      }
    ),

    event.shaped(
      Item.of('simpletms:tm_blank', 1),
      [
        ' B ',
        'BAB',
        ' B '
      ],
      {
        A: 'minecraft:nether_star',
        B: 'simpletms:tr_blank'
      }
    ),

    event.shaped(
      Item.of('kubejs:shiny_dust', 1),
      [
        'CBC',
        'BAB',
        'CBC'
      ],
      {
        A: 'minecraft:glowstone_dust',
        B: 'minecraft:nether_star',
        C: 'cobblemon:shiny_stone'
      }
    ),
  
    console.log('Hello! The recipe event has fired!')
  })